Subject: 24.3.90.1 pretest: (ag-get-arg 0) somehow returns nil in the middle of advice

From: Le Wang <[email-masked]>
Date: Wed, 30 Apr 2014 22:58:41 -0400

Ok the repro steps are very specific.  I've tried to make a simpler
repro, but could not with the time I had.

The important 2 line of code is here:

https://github.com/lewang/flx/blob/test-bug-report/flx-ido.el#L226-227

The advice around it is very basic.  The only interesting thing is

after

      (setq test (ad-get-arg 0))

test is nil, but original-items is correct.

-----------------------------------------------------

Repro steps

1. clone [email-masked]:lewang/flx.git
2. switch to branch "test-bug-report"
3. open "flx-ido.el"
4. follow installation instructions: in header
https://github.com/lewang/flx/blob/test-bug-report/flx-ido.el#L48-54
5. press "C-x b"
6. Look at "*Messages*" buffer.

The advice isn't complicated I have no idea what's going on there.

-- 
Le